## kpublictransport 25.08.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

cmake_minimum_required(VERSION 3.16)

# KDE Application Version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "0")
set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

find_package(ECM 6.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR}/cmake ${ECM_MODULE_PATH})

include(KDECompilerSettings NO_POLICY_SCOPE)
include(ECMAddTests)
include(ECMGenerateHeaders)
include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMSetupVersion)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(GenerateExportHeader)
include(ECMAddQch)
include(ECMQmlModule)
include(ECMFindQmlModule)

set(CMAKE_CXX_STANDARD 23)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

ecm_setup_version(PROJECT VARIABLE_PREFIX KPUBLICTRANSPORT
    VERSION_HEADER kpublictransport_version.h
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    SOVERSION 1
)

find_package(Qt6 6.5 REQUIRED COMPONENTS Quick)

if (BUILD_TESTING)
    find_package(Qt6 6.5 REQUIRED COMPONENTS Test Widgets)
endif()

find_package(ZLIB REQUIRED)
find_package(OsmTools)
set_package_properties(OsmTools PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for regenereating line metadata tables (you don't need this for distribution)")
if (NOT CMAKE_CROSSCOMPILING)
    find_package(PolyClipping)
    set_package_properties(PolyClipping PROPERTIES TYPE OPTIONAL PURPOSE "Needed only for processing coverage area data from the Transport API Repository (you don't need this for distribution)")
endif()

if (NOT WIN32)
    find_package(Protobuf)
    set_package_properties(Protobuf PROPERTIES TYPE OPTIONAL PURPOSE "Parsing of OSM PBF files.")
endif()

if (UNIX AND NOT ANDROID)
    find_package(KF6NetworkManagerQt)
    set_package_properties(KF6NetworkManagerQt PROPERTIES TYPE OPTIONAL PURPOSE "Onboard status detection.")
endif()
if (ANDROID)
    find_package(Gradle)
endif()

find_package(KF6 6.11 REQUIRED COMPONENTS I18n)
find_package(KF6KirigamiAddons 1.6.0 REQUIRED)

set(KPUBLICTRANSPORT_INSTALL_INCLUDEDIR ${KDE_INSTALL_INCLUDEDIR}/KPublicTransport)

ecm_set_disabled_deprecation_versions(QT 6.7 KF 6.11.0)

add_subdirectory(src)

if (BUILD_TESTING)
    add_subdirectory(autotests)
    add_subdirectory(tests)
endif()


ecm_find_qmlmodule(org.kde.kitemmodels ${KF_MIN_VERSION})

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KPublicTransport")

install(FILES ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_version.h DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR} COMPONENT Devel)

install(EXPORT KPublicTransportTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KPublicTransportTargets.cmake)

if (BUILD_QCH)
    ecm_install_qch_export(
        TARGETS KPublicTransport_QCH
        FILE KPublicTransportQchTargets.cmake
        DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        COMPONENT Devel
    )
    set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KPublicTransportQchTargets.cmake\")")
endif()

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KPublicTransportConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
    INSTALL_DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
)

install(FILES
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfig.cmake"
        "${CMAKE_CURRENT_BINARY_DIR}/KPublicTransportConfigVersion.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)
ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kpublictransport (25.08.0-0zneon+24.04+noble+release+build16) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 16:45:59 +0000

kpublictransport (25.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Aug 2025 12:36:24 +0000

kpublictransport (25.04.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 05 Jul 2025 11:18:42 +0000

kpublictransport (25.04.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jun 2025 10:35:13 +0000

kpublictransport (25.04.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 08 May 2025 04:27:28 +0000

kpublictransport (25.04.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Apr 2025 13:23:59 +0000

kpublictransport (24.12.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 08 Mar 2025 13:35:51 +0000

kpublictransport (24.12.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Feb 2025 14:45:08 +0000

kpublictransport (24.12.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 09 Jan 2025 19:36:07 +0000

kpublictransport (24.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 18:33:57 +0000

kpublictransport (24.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Nov 2024 10:33:56 +0000

kpublictransport (24.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 14 Oct 2024 21:05:45 +0000

kpublictransport (24.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 22 Sep 2024 07:43:29 +0000

kpublictransport (24.08.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Jun 2024 09:59:49 +0000

kpublictransport (24.05.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 20 Mar 2024 17:03:55 +0000

kpublictransport (24.02.0-1neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 24 Feb 2024 03:48:56 +0000

kpublictransport (23.08.5-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Feb 2024 14:45:19 +0000

kpublictransport (23.08.4-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Dec 2023 16:27:48 +0000

kpublictransport (23.08.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Nov 2023 16:35:04 +0000

kpublictransport (23.08.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Oct 2023 17:04:47 +0000

kpublictransport (23.08.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 14 Sep 2023 00:45:57 +0000

kpublictransport (23.08.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 24 Aug 2023 09:34:14 +0000

kpublictransport (23.04.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 06 Jun 2023 21:58:33 +0000

kpublictransport (22.12.3-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 02 Mar 2023 12:45:52 +0000

kpublictransport (22.12.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Feb 2023 17:15:26 +0000

kpublictransport (22.12.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 05 Jan 2023 15:54:48 +0000

kpublictransport (22.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 18 Aug 2022 09:20:31 +0000

kpublictransport (22.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jul 2022 12:10:29 +0000

kpublictransport (22.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 07 Jun 2022 20:34:22 +0000

kpublictransport (22.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 10 May 2022 13:27:00 +0000

kpublictransport (22.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 18 Apr 2022 12:40:50 +0000

kpublictransport (21.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Mar 2022 10:57:27 +0000

kpublictransport (21.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 03 Feb 2022 10:57:42 +0000

kpublictransport (21.12.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 06 Dec 2021 23:07:26 +0000

kpublictransport (21.08.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 06 Oct 2021 12:33:40 +0000

kpublictransport (21.08.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 01 Sep 2021 09:30:26 +0000

kpublictransport (21.08.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Aug 2021 10:40:44 +0000

kpublictransport (21.04.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 12 Jul 2021 11:47:08 +0000

kpublictransport (21.04.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 11 Jun 2021 08:19:25 +0000

kpublictransport (21.04.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 13 May 2021 08:49:38 +0000

kpublictransport (21.04.0-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 19 Apr 2021 10:17:24 +0000

kpublictransport (20.12.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Mar 2021 12:54:22 +0000

kpublictransport (20.12.2-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 03 Feb 2021 11:10:47 +0000

kpublictransport (20.12.1-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 07 Jan 2021 12:21:38 +0000

kpublictransport (20.12.0-0neon) focal; urgency=medium



## kpublictransport 25.08.1

=== src/lib/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(knowledgedb)

add_library(KPublicTransport)
qt_extract_metatypes(KPublicTransport)

target_sources(KPublicTransport PRIVATE
    assetrepository.cpp
    journeyreply.cpp
    journeyrequest.cpp
    locationreply.cpp
    locationrequest.cpp
    manager.cpp
    reply.cpp
    requestcontext.cpp
    standardpaths.cpp
    stopoverreply.cpp
    stopoverrequest.cpp
    tripreply.cpp
    triprequest.cpp
    vehiclelayoutreply.cpp
    vehiclelayoutrequest.cpp

    backends/abstractbackend.cpp
    backends/accessibilitycloudbackend.cpp
    backends/accessibilitycloudparser.cpp
    backends/cache.cpp
    backends/deutschebahnbackend.cpp
    backends/deutschebahnparser.cpp
    backends/deutschebahnvehiclelayoutparser.cpp
    backends/deutschebahnproducts.cpp
    backends/efabackend.cpp
    backends/efaparser.cpp
    backends/efacompactparser.cpp
    backends/efamodeoftransport.cpp
    backends/efaxmlparser.cpp
    backends/hafasbackend.cpp
    backends/hafasparser.cpp
    backends/hafasmgatebackend.cpp
    backends/hafasmgateparser.cpp
    backends/hafasquerybackend.cpp
    backends/hafasqueryparser.cpp
    backends/hafasvehiclelayoutparser.cpp
    backends/ivvassbackend.cpp
    backends/ivvassparser.cpp
    backends/ivvassproductmap.cpp
    backends/localbackendutils.cpp
    backends/ltglinkbackend.cpp
    backends/motis2backend.cpp
    backends/motis2parser.cpp
    backends/navitiabackend.cpp
    backends/navitiaparser.cpp
    backends/navitiaphysicalmode.cpp
    backends/networkreplycollection.cpp
    backends/oebbbackend.cpp
    backends/oebbvehiclelayoutparser.cpp
    backends/openjourneyplannerbackend.cpp
    backends/openjourneyplannerparser.cpp
    backends/openjourneyplannerrequestbuilder.cpp
    backends/opentripplannergraphqlbackend.cpp
    backends/opentripplannerparser.cpp
    backends/opentripplannerrestbackend.cpp
    backends/otp/otp.qrc
    backends/scopedxmlstreamreader.cpp
    backends/srbijavozbackend.cpp

    datatypes/attribution.cpp
    datatypes/attributionutil.cpp
    datatypes/backend.cpp
    datatypes/classutil.cpp
    datatypes/coveragearea.cpp
    datatypes/disruption.cpp
    datatypes/equipment.cpp
    datatypes/equipmentutil.cpp
    datatypes/feature.cpp
    datatypes/featureutil.cpp
    datatypes/identifier.cpp
    datatypes/individualtransport.cpp
    datatypes/journey.cpp
    datatypes/journeyutil.cpp
    datatypes/json.cpp
    datatypes/line.cpp
    datatypes/lineutil.cpp
    datatypes/load.cpp
    datatypes/loadutil.cpp
    datatypes/location.cpp
    datatypes/locationutil.cpp
    datatypes/mergeutil.cpp
    datatypes/notesutil.cpp
    datatypes/path.cpp
    datatypes/platform.cpp
    datatypes/platformutils.cpp
    datatypes/rentalvehicle.cpp
    datatypes/rentalvehicleutil.cpp
    datatypes/stopover.cpp
    datatypes/stopoverutil.cpp
    datatypes/timeutil.cpp
    datatypes/variant.cpp
    datatypes/vehicle.cpp

    gbfs/gbfs.cpp
    gbfs/gbfs.qrc
    gbfs/gbfsbackend.cpp
    gbfs/gbfsjob.cpp
    gbfs/gbfsreader.cpp
    gbfs/gbfsservice.cpp
    gbfs/gbfsstore.cpp
    gbfs/gbfsvehicletypes.cpp

    geo/convexhull.cpp
    geo/geojson.cpp
    geo/pathfilter.cpp
    geo/polylinedecoder.cpp

    gtfs/hvt.cpp

    http/useragent.cpp

    ifopt/ifoptutil.cpp

    images/images.qrc

    json/jsonp.cpp
    json/jsonpointer.cpp

    knowledgedb/asset-attributions.qrc
    knowledgedb/countryboundingbox.cpp
    knowledgedb/linemetadata.cpp

    layout/platformlayout.cpp

    models/abstractquerymodel.cpp
    models/backendmodel.cpp
    models/coveragecountrymodel.cpp
    models/journeyquerymodel.cpp
    models/locationhistorymodel.cpp
    models/locationquerymodel.cpp
    models/pathmodel.cpp
    models/stopoverquerymodel.cpp
    models/vehiclelayoutquerymodel.cpp

    networks/networks.qrc
    networks/certs/network_certs.qrc
    networks/geometry/geometry.qrc
    networks/stations/stations.qrc

    uic/uicrailwaycoach.cpp
    uic/uicstationcode.cpp

    update/manifest.cpp
    update/updateresult.cpp
    update/updatejob.cpp
    update/updatestate.cpp
)
ecm_qt_declare_logging_category(KPublicTransport
    HEADER logging.h
    IDENTIFIER KPublicTransport::Log
    CATEGORY_NAME org.kde.kpublictransport
    DESCRIPTION "KPublicTransport"
    EXPORT KPUBLICTRANSPORT
)

generate_export_header(KPublicTransport BASE_NAME KPublicTransport)
set_target_properties(KPublicTransport PROPERTIES
    VERSION ${KPUBLICTRANSPORT_VERSION}
    SOVERSION ${KPUBLICTRANSPORT_SOVERSION}
    EXPORT_NAME KPublicTransport
)
target_include_directories(KPublicTransport PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR};${CMAKE_BINARY_DIR}>")
target_include_directories(KPublicTransport INTERFACE "$<INSTALL_INTERFACE:${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}>")
target_link_libraries(KPublicTransport
    PUBLIC
        Qt::Gui
    PRIVATE
        KGraphQL
        KOSM
        KF6::I18n
        KF6::I18nLocaleData
        Qt::Network
        ZLIB::ZLIB
)

ecm_generate_headers(KPublicTransport_FORWARDING_HEADERS
    HEADER_NAMES
        JourneyReply
        JourneyRequest
        LocationReply
        LocationRequest
        Manager
        Reply
        StopoverReply
        StopoverRequest
        TripReply
        TripRequest
        VehicleLayoutReply
        VehicleLayoutRequest
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_HEADERS
)
# # ### for testing only
ecm_generate_headers(KPublicTransport_Backends_FORWARDING_HEADERS
    HEADER_NAMES
        Cache
        HafasMgateParser
        NavitiaParser
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Backends_HEADERS
    RELATIVE backends
)
ecm_generate_headers(KPublicTransport_Datatypes_FORWARDING_HEADERS
    HEADER_NAMES
        Attribution
        Backend
        ClassUtil
        CoverageArea
        Datatypes
        Disruption
        Equipment
        Feature
        IndividualTransport
        Journey
        Line
        Load
        Location
        RentalVehicle
        Path
        Platform
        Stopover
        Vehicle
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Datatypes_HEADERS
    RELATIVE datatypes
)
ecm_generate_headers(KPublicTransport_Layout_FORWARDING_HEADERS
    HEADER_NAMES
        PlatformLayout
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Layout_HEADERS
    RELATIVE layout
)
ecm_generate_headers(KPublicTransport_Models_FORWARDING_HEADERS
    HEADER_NAMES
        AbstractQueryModel
        BackendModel
        CoverageCountryModel
        JourneyQueryModel
        LocationHistoryModel
        LocationQueryModel
        PathModel
        StopoverQueryModel
        VehicleLayoutQueryModel
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Models_HEADERS
    RELATIVE models
)
ecm_generate_headers(KPublicTransport_Update_FORWARDING_HEADERS
    HEADER_NAMES
        UpdateResult
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransport_Update_HEADERS
    RELATIVE update
)

install(TARGETS KPublicTransport EXPORT KPublicTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_qt_install_logging_categories(
    EXPORT KPUBLICTRANSPORT
    FILE org_kde_kpublictransport.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
install(FILES
    ${KPublicTransport_FORWARDING_HEADERS}
    ${KPublicTransport_Datatypes_FORWARDING_HEADERS}
    ${KPublicTransport_Layout_FORWARDING_HEADERS}
    ${KPublicTransport_Models_FORWARDING_HEADERS}
    ${KPublicTransport_Update_FORWARDING_HEADERS}
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/KPublicTransport
)
install(FILES
    ${KPublicTransport_HEADERS}
    ${KPublicTransport_Datatypes_HEADERS}
    ${KPublicTransport_Layout_HEADERS}
    ${KPublicTransport_Models_HEADERS}
    ${KPublicTransport_Update_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpublictransport_export.h
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/kpublictransport
)


if (BUILD_QCH)
    ecm_add_qch(
        KPublicTransport_QCH
        NAME KPublicTransport
        BASE_NAME KPublicTransport
        VERSION ${RELEASE_SERVICE_VERSION}
        ORG_DOMAIN org.kde
        SOURCES # using only public headers, to cover only public API
        ${KPublicTransport_HEADERS}
        ${KPublicTransport_Datatypes_HEADERS}
        ${KPublicTransport_Models_HEADERS}
        MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
        #IMAGE_DIRS "${CMAKE_SOURCE_DIR}/docs/pics"
        LINK_QCHS
            Qt6Core_QCH
        INCLUDE_DIRS
            ${CMAKE_CURRENT_BINARY_DIR}
        BLANK_MACROS
            KPUBLICTRANSPORT_EXPORT
        TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
        COMPONENT Devel
    )
endif()

=== src/osm/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KOSM STATIC
    abstractreader.cpp
    abstractwriter.cpp
    datatypes.cpp
    datasetmergebuffer.cpp
    element.cpp
    geomath.cpp
    io.cpp
    o5mparser.cpp
    overpassquery.cpp
    overpassquerymanager.cpp
    pathutil.cpp
    ztile.cpp

    io/o5mplugin.cpp
)
generate_export_header(KOSM BASE_NAME KOSM)
set_target_properties(KOSM PROPERTIES
    VERSION ${KOSMINDOORMAP_VERSION}
    SOVERSION ${KOSMINDOORMAP_SOVERSION}
    EXPORT_NAME KOSM
)

target_include_directories(KOSM PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_compile_definitions(KOSM PUBLIC "-DKOSM_STATIC_DEFINE=1")
target_link_libraries(KOSM PUBLIC Qt::Core PRIVATE Qt::Network)
set_target_properties(KOSM PROPERTIES POSITION_INDEPENDENT_CODE ON)

if (NOT BUILD_SHARED_LIBS)
    install(TARGETS KOSM EXPORT KPublicTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

add_subdirectory(io)

=== src/qmlplugin/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(kpublictransportqmlplugin URI "org.kde.kpublictransport" VERSION 1.0 DEPENDENCIES "QtCore" "QtQml")

target_sources(kpublictransportqmlplugin PRIVATE
    kpublictransportqmlplugin.cpp
    linemetadatawrapper.cpp
)
target_link_libraries(kpublictransportqmlplugin PRIVATE Qt::Quick KPublicTransport)

ecm_finalize_qml_module(kpublictransportqmlplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== src/quick/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

ecm_add_qml_module(kpublictransportquickplugin
    URI "org.kde.kpublictransport.ui"
    VERSION 1.0
    NO_GENERATE_PLUGIN_SOURCE
    CLASS_NAME "KPublicTransportUiQuickPlugin"
    IMPORTS "org.kde.kpublictransport"
    DEPENDENCIES
        "QtNetwork"
        "QtQuick"
        "QtQuick.Controls"
        "org.kde.kirigami"
        "org.kde.kirigamiaddons.delegates"
        "org.kde.i18n.localeData"
        "org.kde.kitemmodels"
)

target_sources(kpublictransportquickplugin PRIVATE
    maputils.cpp
    quickplugin.cpp
    styledframesvgitem.cpp
    assets/assets.qrc
)

ecm_target_qml_sources(kpublictransportquickplugin SOURCES
    BackendPage.qml
    ExpectedTimeLabel.qml
    FeatureDelegate.qml
    FeatureIcon.qml
    JourneyHorizontalBar.qml
    OccupancyDelegate.qml
    OccupancyIndicator.qml
    StopPickerPage.qml
    StopoverInformationView.qml
    TransportIcon.qml
    TransportNameControl.qml
    VehicleLayoutView.qml
    VehicleSectionDelegate.qml
    VehicleSectionItem.qml
)

ecm_target_qml_sources(kpublictransportquickplugin
    PRIVATE
    PATH private
    SOURCES
        private/CountryComboBox.qml
)

target_link_libraries(kpublictransportquickplugin
    PRIVATE
        KPublicTransport
        Qt::Quick
        KF6::I18nLocaleData
)

ecm_finalize_qml_module(kpublictransportquickplugin DESTINATION ${KDE_INSTALL_QMLDIR})

=== debian/changelog ===
kpublictransport (25.08.1-0zneon+24.04+noble+release+build17) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 13:13:57 +0000

kpublictransport (25.08.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 09 Sep 2025 09:01:16 +0000

## kpublictransport 25.08.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

=== autotests/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2018 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_definitions(-DSOURCE_DIR="${CMAKE_CURRENT_SOURCE_DIR}")

ecm_add_test(osmtypetest.cpp LINK_LIBRARIES Qt::Test KOSM)
ecm_add_test(o5mparsertest.cpp LINK_LIBRARIES Qt::Test KOSM)

ecm_add_test(kgraphqlminimizertest.cpp LINK_LIBRARIES Qt::Test KGraphQL)

ecm_add_test(indexeddatatabletest.cpp LINK_LIBRARIES Qt::Test)

ecm_add_test(polylinetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ifopttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(jsontest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(jsonptest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(jsonpointertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(uicstationcodetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(uicrailwaycoachtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(mergeutiltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(locationtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(linetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(departuretest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(journeytest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(journeyrequesttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(platformtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(notestest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(backendtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(linemetadatatest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(networkconfigtest.cpp LINK_LIBRARIES Qt::Test)
ecm_add_test(vehiclelayoutquerymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(locationhistorymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(platformlayouttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(featuretest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(tripreplytest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(updatetest.cpp mocknetworkaccessmanager.cpp TEST_NAME updatetest LINK_LIBRARIES Qt::Test Qt::Network KPublicTransport)
ecm_add_test(coveragecountrymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(countryboundingboxtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

ecm_add_test(navitiaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(hafasparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(hafasmgateparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(hafasqueryparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(hafasvehiclelayoutparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(hafasmgaterequesttest.cpp mocknetworkaccessmanager.cpp TEST_NAME hafasmgaterequesttest LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(efaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(efarequesttest.cpp mocknetworkaccessmanager.cpp TEST_NAME efarequesttest LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(deutschebahntest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(deutschebahnparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)
ecm_add_test(otpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(oebbparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ivvassparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(gbfsreadertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ojprequesttest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(ojpparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(motis2parsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport KF6::I18nLocaleData)

ecm_add_test(publictransportmanagertest.cpp mocknetworkaccessmanager.cpp TEST_NAME publictransportmanagertest LINK_LIBRARIES Qt::Network Qt::Test KPublicTransport)
ecm_add_test(cachetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(gbfstest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
ecm_add_test(accessibilitycloudtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

ecm_add_test(onboardstatustest.cpp LINK_LIBRARIES Qt::Test KPublicTransportOnboard Qt::Network)

=== src/generator/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(line-data-generator
    generator.cpp
    indexeddatatable.cpp
    lineinfo.cpp
    indexeddatatable.h
    lineinfo.h
)
target_link_libraries(line-data-generator KOSM KWikidata Qt::Gui)

=== src/tools/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_executable(endpointprobe endpointprobe.cpp)
target_link_libraries(endpointprobe Qt::Network)
add_custom_target(run-endpoint-probe COMMAND endpointprobe ${CMAKE_SOURCE_DIR}/src/lib/networks)

add_executable(otpprobe
    otpprobe.cpp
    ../lib/geo/geojson.cpp
    ../lib/geo/convexhull.cpp
)
target_link_libraries(otpprobe Qt::Gui Qt::Network)
add_custom_target(run-otp-probe COMMAND otpprobe ${CMAKE_SOURCE_DIR}/src/lib/networks)

add_executable(gbfsprobe gbfsprobe.cpp)
target_link_libraries(gbfsprobe Qt::Network KPublicTransport)
add_custom_target(run-gbfs-probe COMMAND gbfsprobe ${CMAKE_SOURCE_DIR}/src/lib/gbfs/gbfs-feeds.json WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR})

add_executable(hafas-mgate-probe
    hafas-mgate-probe.cpp
)
target_link_libraries(hafas-mgate-probe PRIVATE Qt::Gui Qt::Network KPublicTransport)
add_custom_target(run-hafas-mgate-probe COMMAND hafas-mgate-probe)

if (TARGET PolyClipping::PolyClipping)
    add_executable(transport-api-sync
        transport-api-sync.cpp
        polygonsimplifier.cpp
        ../lib/geo/geojson.cpp
    )
    target_link_libraries(transport-api-sync Qt::Gui KOSM PolyClipping::PolyClipping)
    add_custom_target(run-transport-api-sync COMMAND transport-api-sync --config-path ${CMAKE_SOURCE_DIR}/src/lib/networks --transport-apis ${CMAKE_CURRENT_BINARY_DIR}/transport-apis)
endif()

=== src/wikidata/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KWikidata STATIC
    entities.cpp
    wikidataquerymanager.cpp
    wikidataquery.cpp
    entities.h
    wikidataquerymanager.h
    wikidataquery.h
)

target_include_directories(KOSM PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}/..>")
target_link_libraries(KWikidata
    PUBLIC Qt::Gui
    PRIVATE Qt::Network
)

ecm_qt_declare_logging_category(KWikidata
    HEADER logging.h
    IDENTIFIER Wikidata::Log
    CATEGORY_NAME org.kde.wikidata
    DESCRIPTION "KWikidata"
    EXPORT KWIKIDATA
)

=== debian/changelog ===
kpublictransport (25.08.2-0zneon+24.04+noble+release+build18) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:13:33 +0000

kpublictransport (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:48:11 +0000

## kpublictransport 25.08.2+p24.04+vstable+git20251010.0714

=== debian/changelog ===
kpublictransport (25.08.2+p24.04+vstable+git20251010.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:14:40 +0000

## kpublictransport 25.08.2+p24.04+vstable+git20251015.1030

=== debian/changelog ===
kpublictransport (25.08.2+p24.04+vstable+git20251015.1030-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 10:30:31 +0000

## kpublictransport 25.08.2+p24.04+vstable+git20251024.0222

=== debian/changelog ===
kpublictransport (25.08.2+p24.04+vstable+git20251024.0222-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 24 Oct 2025 02:22:48 +0000

## kpublictransport 25.08.2+p24.04+vstable+git20251031.0953

=== debian/changelog ===
kpublictransport (25.08.2+p24.04+vstable+git20251031.0953-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:54:02 +0000

## kpublictransport 25.08.2+p24.04+vunstable+git20251015.1130

=== debian/changelog ===
kpublictransport (25.08.2+p24.04+vunstable+git20251015.1130-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 15 Oct 2025 11:30:47 +0000

## kpublictransport 25.08.2+p24.04+vunstable+git20251020.0320

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,8 +5,8 @@
 
 # KDE Application Version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})
 
@@ -38,7 +38,7 @@
     SOVERSION 1
 )
 
-find_package(Qt6 6.5 REQUIRED COMPONENTS Quick)
+find_package(Qt6 6.5 REQUIRED COMPONENTS Quick Location)
 
 if (BUILD_TESTING)
     find_package(Qt6 6.5 REQUIRED COMPONENTS Test Widgets)

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -36,6 +36,7 @@
 ecm_add_test(updatetest.cpp mocknetworkaccessmanager.cpp TEST_NAME updatetest LINK_LIBRARIES Qt::Test Qt::Network KPublicTransport)
 ecm_add_test(coveragecountrymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(countryboundingboxtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+ecm_add_test(stopinformationtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 
 ecm_add_test(navitiaparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(hafasparsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport Qt::Network)

=== debian/changelog ===
kpublictransport (25.08.2+p24.04+vunstable+git20251020.0320-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 03:20:33 +0000

## kpublictransport 25.08.3

=== src/onboard/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

if (TARGET KF6::NetworkManagerQt)
    set(HAVE_NM TRUE)
endif()

add_library(KPublicTransportOnboard)
qt_extract_metatypes(KPublicTransportOnboard)

target_sources(KPublicTransportOnboard PRIVATE
    onboardstatus.cpp
    onboardstatusmanager.cpp
    positiondata.cpp
    wifimonitor.cpp

    backend/abstractonboardbackend.cpp
    backend/restonboardbackend.cpp
    backend/scriptedrestonboardbackend.cpp

    data/data.qrc
)

if (ANDROID)
    target_sources(KPublicTransportOnboard PRIVATE wifimonitor_android.cpp)
    add_subdirectory(android)
elseif (HAVE_NM)
    target_sources(KPublicTransportOnboard PRIVATE wifimonitor_nm.cpp)
else()
    message("WARNING: No Wifi monitoring implementation available on this platform!")
    target_sources(KPublicTransportOnboard PRIVATE wifimonitor_dummy.cpp)
endif()

ecm_qt_declare_logging_category(KPublicTransportOnboard
    HEADER logging.h
    IDENTIFIER KPublicTransport::Log
    CATEGORY_NAME org.kde.kpublictransport.onboard
    DESCRIPTION "KPublicTransport Onboard API"
    EXPORT KPUBLICTRANSPORTONBOARD
)

generate_export_header(KPublicTransportOnboard BASE_NAME KPublicTransportOnboard)
set_target_properties(KPublicTransportOnboard PROPERTIES
    VERSION ${KPUBLICTRANSPORT_VERSION}
    SOVERSION ${KPUBLICTRANSPORT_SOVERSION}
)
target_include_directories(KPublicTransportOnboard PUBLIC "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>")
target_include_directories(KPublicTransportOnboard INTERFACE "$<INSTALL_INTERFACE:${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}>")
target_link_libraries(KPublicTransportOnboard
    PUBLIC
        KPublicTransport
    PRIVATE
        Qt::Network
        Qt::Qml
)
if (HAVE_NM)
    target_link_libraries(KPublicTransportOnboard PRIVATE KF6::NetworkManagerQt)
endif()
if (ANDROID)
    target_link_libraries(KPublicTransportOnboard PRIVATE Qt6::CorePrivate)
endif()

ecm_generate_headers(KPublicTransportOnboard_FORWARDING_HEADERS
    HEADER_NAMES
        OnboardStatus
    PREFIX KPublicTransport
    REQUIRED_HEADERS KPublicTransportOnboard_HEADERS
)
install(TARGETS KPublicTransportOnboard EXPORT KPublicTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
ecm_qt_install_logging_categories(
    EXPORT KPUBLICTRANSPORTONBOARD
    FILE org_kde_kpublictransport_onboard.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
)
install(FILES
    ${KPublicTransportOnboard_FORWARDING_HEADERS}
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/KPublicTransport
)
install(FILES
    ${KPublicTransportOnboard_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kpublictransportonboard_export.h
    DESTINATION ${KPUBLICTRANSPORT_INSTALL_INCLUDEDIR}/kpublictransport
)

=== debian/changelog ===
kpublictransport (25.08.3-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:29:20 +0000

kpublictransport (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:47:17 +1000

=== debian/control ===
Source: kpublictransport
Section: libs
Priority: optional
Build-Depends: bison,
               cmake,
               debhelper-compat (= 13),
               doxygen,
               flex,
               graphviz,
               kf6-extra-cmake-modules,
               kf6-ki18n-dev,
               kf6-kirigami-addons-dev,
               kf6-networkmanager-qt-dev,
               libprotobuf-dev,
               osmctools,
               pkg-kde-tools-neon,
               pkgconf,
               protobuf-compiler,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Homepage: https://cgit.kde.org/kpublictransport.git/
Vcs-Git: https://invent.kde.org/neon/extras/kpublictransport.git
Vcs-Browser: https://invent.kde.org/neon/extras/kpublictransport
Maintainer: Neon CI <neon@kde.org>

Package: libkpublictransport-dev
Section: libdevel
Architecture: any
Depends: libkpublictransport1 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: libkpublictransport1 (<< 24.02.0-1)
Replaces: libkpublictransport1 (<< 24.02.0-1)
Description: library to access public transport timetables - development files
 This library provides an API for to assist with accessing public
 transport timetables and other information.  Travel Reservation
 information.
 .
 This package contains the development files.

Package: libkpublictransport1
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: library to assist with accessing public transport timetables
 This library provides an API for to assist with accessing public
 transport timetables and other information.  Travel Reservation
 information.

Package: qml6-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Depends: kf6-kirigami-addons,
         qml6-module-qtquick,
         ${misc:Depends},
         ${shlibs:Depends}
Description: library to assist with accessing public transport timetables
 This library provides an API for to assist with accessing public
 transport timetables and other information.  Travel Reservation
 information.
 .
 Qt Quick Module.

## kpublictransport 25.08.3+p24.04+vunstable+git20251202.2241

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,8 +4,8 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
 set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

=== debian/changelog ===
kpublictransport (25.08.3+p24.04+vunstable+git20251202.2241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:41:12 +0000

## kpublictransport 25.08.3+p24.04+vunstable+git20251204.0226

=== debian/changelog ===
kpublictransport (25.08.3+p24.04+vunstable+git20251204.0226-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 04 Dec 2025 02:26:46 +0000

## kpublictransport 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,9 +4,9 @@
 cmake_minimum_required(VERSION 3.16)
 
 # KDE Application Version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}.${RELEASE_SERVICE_VERSION_MINOR}.${RELEASE_SERVICE_VERSION_MICRO}")
 project(KPublicTransport VERSION ${RELEASE_SERVICE_VERSION})

=== autotests/CMakeLists.txt ===
--- 
+++ 
@@ -26,6 +26,7 @@
 ecm_add_test(platformtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(notestest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(backendtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+set_property(TEST backendtest PROPERTY RUN_SERIAL 1)
 ecm_add_test(linemetadatatest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(networkconfigtest.cpp LINK_LIBRARIES Qt::Test)
 ecm_add_test(vehiclelayoutquerymodeltest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
@@ -57,7 +58,9 @@
 ecm_add_test(motis2parsertest.cpp LINK_LIBRARIES Qt::Test KPublicTransport KF6::I18nLocaleData)
 
 ecm_add_test(publictransportmanagertest.cpp mocknetworkaccessmanager.cpp TEST_NAME publictransportmanagertest LINK_LIBRARIES Qt::Network Qt::Test KPublicTransport)
+set_property(TEST publictransportmanagertest PROPERTY RUN_SERIAL 1)
 ecm_add_test(cachetest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
+set_property(TEST cachetest PROPERTY RUN_SERIAL 1)
 ecm_add_test(gbfstest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)
 ecm_add_test(accessibilitycloudtest.cpp LINK_LIBRARIES Qt::Test KPublicTransport)

=== src/graphql/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_library(KGraphQL STATIC
    kgraphql.cpp
    kgraphqlminimizer.cpp
    kgraphql.h
    kgraphqlminimizer_p.h
)
target_link_libraries(KGraphQL PUBLIC Qt::Network)
set_target_properties(KGraphQL PROPERTIES POSITION_INDEPENDENT_CODE ON)

if (NOT BUILD_SHARED_LIBS)
    install(TARGETS KGraphQL EXPORT KPublicTransportTargets ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})
endif()

=== src/lib/CMakeLists.txt ===
--- 
+++ 
@@ -94,6 +94,7 @@
     datatypes/platformutils.cpp
     datatypes/rentalvehicle.cpp
     datatypes/rentalvehicleutil.cpp
+    datatypes/stopinformation.cpp
     datatypes/stopover.cpp
     datatypes/stopoverutil.cpp
     datatypes/timeutil.cpp
@@ -227,6 +228,7 @@
         RentalVehicle
         Path
         Platform
+        StopInformation
         Stopover
         Vehicle
     PREFIX KPublicTransport

=== src/quick/CMakeLists.txt ===
--- 
+++ 
@@ -11,6 +11,8 @@
         "QtNetwork"
         "QtQuick"
         "QtQuick.Controls"
+        "QtLocation"
+        "QtPositioning"
         "org.kde.kirigami"
         "org.kde.kirigamiaddons.delegates"
         "org.kde.i18n.localeData"
@@ -46,6 +48,8 @@
     PATH private
     SOURCES
         private/CountryComboBox.qml
+        private/CurrentLocationDelegate.qml
+        private/globals.js
 )
 
 target_link_libraries(kpublictransportquickplugin

=== debian/changelog ===
kpublictransport (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)
  * Update build-deps and deps with the info from cmake.

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:54:57 +0000

kpublictransport (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:17:23 +0000

kpublictransport (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:56 +0100

kpublictransport (25.08.1-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Sep 2025 06:56:29 +0100

kpublictransport (25.08.0-0ubuntu1) questing; urgency=medium

  * New upstream release (25.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Aug 2025 11:27:33 +0100

=== debian/control ===
Source: kpublictransport
Priority: optional
Section: libs
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <matthias.geiger1024@tutanota.de>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-pkgkde-symbolshelper,
               dh-sequence-qmldeps,
               cmake (>= 3.16),
               extra-cmake-modules (>= 6.0~),
               kirigami-addons-dev (>= 1.6.0~),
               libkf6i18n-dev (>= 6.11~),
               libkf6networkmanagerqt-dev,
               libprotobuf-dev,
               pkg-kde-tools,
               pkgconf,
               qml6-module-org-kde-kirigami,
               qt6-base-dev (>= 6.5~),
               qt6-declarative-dev (>= 6.5~),
               qt6-declarative-private-dev,
               qt6-location-dev (>= 6.5~),
               qt6-positioning-dev (>= 6.5~),
               tzdata <!nocheck>,
               zlib1g-dev,
Standards-Version: 4.7.2
Homepage: https://invent.kde.org/libraries/kpublictransport
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kpublictransport
Rules-Requires-Root: no

Package: libkpublictransport1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport
 A library providing a public transport API.
 .
 This package contains the main data.

Package: kpublictransport-data
Architecture: all
Multi-Arch: foreign
Section: kde
Depends: ${misc:Depends},
Description: Library to assist with accessing public transport (data files)
 The data files for a public transport API
 .
 This package contains the data files.

Package: libkpublictransport-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkpublictransport1 (= ${binary:Version}),
         libkpublictransportonboard1 (= ${binary:Version}),
         qml6-module-org-kde-kpublictransport (= ${binary:Version}),
         ${misc:Depends},
Description: Library to assist with accessing public transport (development files)
 A library providing a public transport API.
 .
 This package contains the development files and headers.

Package: libkpublictransportonboard1
Provides: ${ABI:VirtualPackage},
Architecture: any
Multi-Arch: same
Depends: kpublictransport-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport onboard system
 A library providing a public transport API.
 .
 This package contains the onboard library.

Package: qml6-module-org-kde-kpublictransport
Architecture: any
Multi-Arch: same
Section: kde
Depends: ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: Library to assist with accessing public transport (qml plugin)
 A QtQuick plugin providing a public transport API
 .
 This package contains the runtime qml module.
